{% extends "default_layout.html" %}
{% block content %}
<h1>Edit board /b/{{ board.name }}</h1>
<form enctype='multipart/form-data' method='POST' action='/board/edit?bid={{ board.id }}'>
	<input type='text' name='pid' style='display:none;' value='{{ board.id }}'>
	<label for='name'>Name</label>
	<input class='textbar-normal' type='text' id='name' name='name' placeholder='Name of your board' value='{{ board.name }}'></br>
	<label for='icon'>Icon of board</label>
	<input class='textbar-normal' type='file' name='icon' id='icon'><br>
	<label for='descr'>Description</label>
	<textarea class='textbar-normal' maxlength='4095' id='descr' name='descr' placeholder='Description'>{{ board.descr }}</textarea></br>
	<label for='keywords'>Keywords</label>
	<input class='textbar-normal' type='text' id='keywords' name='keywords' placeholder='cats, dogs, etc' value='{{ board.keywords }}'></br>
	<label for='category'>Category</label>
	<select id='category' name='category'>
	{% for category in categories %}
		<option {% if board.category_id == category.id %}selected="selected"{% endif %} value='{{ category.name }}'>{{ category.name }}</option>
	{% endfor %}
	</select>
	<input class='form-btn' type='submit' value='Edit'></br>
</form>
{% endblock %}
